
package com.tmerclub.cloud.api.coupon.constant;


/**
 * 优惠券适用商品类型
 * @author tmerclub
 */
public enum CouponProdType {

    /**
     * 0全部商品参与
     */
    ALL(0),

    /**
     * 1指定商品参与
     */
    PROD_IN(1),

    ;

    private final Integer num;

    public Integer value() {
        return num;
    }

    CouponProdType(Integer num) {
        this.num = num;
    }

    public static CouponProdType instance(Integer value) {
        CouponProdType[] enums = values();
        for (CouponProdType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
